upsertSalesOrderShipment
WRITEUpsert sales order shipment.
POST /api/v1/sales/upsertSalesOrderShipment
curl -X POST '<your-host>/api/v1/sales/upsertSalesOrderShipment' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"id": "string",
"trackingNumber": "string"
}'Response
{
"id": "string"
}Parameters
ParameterType
"EXW""FCA""FAS""FOB""CPT""CIP""CFR""CIF""DAP""DPU""DDP"
Input schema
schema
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"locationId": {
"type": "string"
},
"shippingMethodId": {
"type": "string"
},
"trackingNumber": {
"type": "string"
},
"deliveryDate": {
"type": "string"
},
"receiptRequestedDate": {
"type": "string"
},
"receiptPromisedDate": {
"type": "string"
},
"dropShipment": {
"type": "boolean"
},
"customerId": {
"type": "string"
},
"customerLocationId": {
"type": "string"
},
"supplierId": {
"type": "string"
},
"supplierLocationId": {
"type": "string"
},
"shippingCost": {
"type": "number"
},
"notes": {
"type": "string"
},
"incoterm": {
"type": "string",
"enum": [
"EXW",
"FCA",
"FAS",
"FOB",
"CPT",
"CIP",
"CFR",
"CIF",
"DAP",
"DPU",
"DDP"
]
},
"incotermLocation": {
"type": "string"
},
"customFields": {}
},
"required": [
"id",
"trackingNumber"
]
}